Subject: bug#17072: dfa change apparently needed on Irix

From: Paul Eggert <[email-masked]>
Date: Sun, 23 Mar 2014 13:55:12 -0700

Aharon Robbins wrote:
> wchar_t has been changed to char

What changes wchar_t to char, and why?

I worry that if we just install this change, then some parts of grep 
and/or awk will be compiled with one wchar_t and others with a different 
one, which will lead to subtle problems at runtime on some platforms. 
That is, we'll turn a compile-time problem into a run-time one, which is 
a step backwards.

Instead, it's better to fix dfa.h so that it works regardless of what 
order files are included, but to do that we need to know what the actual 
problem is.